Skip to main content

Connections API (/1/connections)

Manages integration of external cloud credentials. Credentials are encrypted at rest using AES-256.

GET /1/connections​

  • Description: Lists active connection profiles in the project (credentials redacted).
  • Roles: admin, developer, viewer.

Response:

[
{
"id": "c1a92df4-7221...",
"name": "gcp-prod-data",
"type": "gcp",
"created_at": "2026-09-11T12:00:00Z"
}
]

POST /1/connections​

  • Description: Registers new cloud credentials.
  • Roles: admin.

Request body (GCP example):

{
"name": "gcp-prod-data",
"type": "gcp",
"gcp_project_id": "my-project-123",
"keyfile_json": "{\n \"type\": \"service_account\",\n ..."
}

DELETE /1/connections/{name}​

  • Description: Deletes a cloud connection by name.
  • Roles: admin.